Bug 467630 - iptables and ip6tables aren't configured on LiveCD --> no firewall at all
iptables and ip6tables aren't configured on LiveCD --> no firewall at all
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
11
All Linux
high Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2008-10-19 13:01 EDT by Charles R. Anderson
Modified: 2013-01-09 23:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 11:11:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-10-19 13:01:52 EDT
Description of problem:

When running a LiveCD, there are no firewall rules configured.  This is a big security risk because there are services listening on network sockets by default.  There really should be a default set of firewall rules in /etc/sysconfig/iptables and /etc/sysconfig/ip6tables for the LiveCD case.

Version-Release number of selected component (if applicable):
F10-Snap2

Additional info:

Inet sockets that are bound on LiveCD:

udp        0      0 0.0.0.0:68                  0.0.0.0:*                               3086/dhclient
tcp        0      0 0.0.0.0:111                 0.0.0.0:*                   LISTEN      2728/rpcbind
udp        0      0 0.0.0.0:111                 0.0.0.0:*                               2728/rpcbind
udp        0      0 0.0.0.0:631                 0.0.0.0:*                               3156/cupsd
udp        0      0 0.0.0.0:779                 0.0.0.0:*                               2728/rpcbind
udp        0      0 0.0.0.0:799                 0.0.0.0:*                               2743/rpc.statd
udp        0      0 0.0.0.0:5353                0.0.0.0:*                               3118/avahi-daemon:
udp        0      0 0.0.0.0:33846               0.0.0.0:*                               3118/avahi-daemon:
tcp        0      0 0.0.0.0:36319               0.0.0.0:*                   LISTEN      2743/rpc.statd
udp        0      0 0.0.0.0:50943               0.0.0.0:*                               2743/rpc.statd
Comment 1 Jeremy Katz 2008-10-21 10:49:20 EDT
Hmm, apparently we've been doing this all the way since the initial live images for Fedora Core 6 were built.  I'm a little bit wary of changing things such that there's a firewall running with this little time left in the F10 cycle :-/
Comment 2 Bug Zapper 2008-11-25 23:00:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 05:48:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Mads Kiilerich 2009-06-16 14:53:31 EDT
IIRC I noticed that this has been solved in Fedora 11, probably by fedora-live-base.ks having "firewall --enabled --service=mdns"

Note You need to log in before you can comment on or make changes to this bug.